Subject: AW: mkcramfs porting done - device file issues....
From: "gmx" <[email-masked]>
To: "Corinna Vinschen" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 30 May 2002 00:41:56 +0200

Hi Corinna, 
thanks for reply.

>minor device numbers is purely internally.  What you *can* do is,
>create a /dev directory and create (in Windows Explorer) files in
>it which are named exactly as the devices known to Cygwin.  E. g.

regarding this , what's the purpose of mknod.exe in cygwin then  ???

>What would be possible is to add only the device nodes.  They could
>be implemented like symlinks 
Yes - that's what had come to my mind...

>but I'm reluctant to add these to Cygwin as long as there's no mechanism 
>to actually use them.
:(((
maybe reading them, ls'ing them, tar'ing them or creating a cramfs from 
them could be a mechanism, i think.... ;) Though, there may be not many 
people out there, who actually need such feature. I think it would be nice, 
if it's "in there" just for "completeness" or "posix compliance".... or, maybe, 
just to get rid of those annoying:
tar: netstation-0.8/pkg-tree/base/dev/console: Cannot mknod: Function not implemented
netstation-0.8/pkg-tree/base/dev/md0
tar: netstation-0.8/pkg-tree/base/dev/md0: Cannot mknod: Function not implemented
netstation-0.8/pkg-tree/base/dev/mem
tar: netstation-0.8/pkg-tree/base/dev/mem: Cannot mknod: Function not implemented
netstation-0.8/pkg-tree/base/dev/null.....

;)))

i would do that stuff myself,if i could - so it completely depends on the goodwill
of some "wizards" like you ...  :(

regards
Roland

Cygwin is using major and minor device numbers but there's nothing
like a device node in the filesystem.  The handling of major and
minor device numbers is purely internally.  What you *can* do is,
create a /dev directory and create (in Windows Explorer) files in
it which are named exactly as the devices known to Cygwin.  E. g.
if you created a file called `st0' - the name of the first tape
device in the system - then you can call `ls -l /dev' and you will
see:

  total 0
  crw-rw-rw-    1 root     root      18,   0 May 29 10:05 st0

The cause is that the handling of devices overrides the path
handling.  But that's *only* possible for device names known
to Cygwin.

> >Isn't this "feature" implemented yet and can it be easily implemented ?
> 
> It isn't implemented and it would be difficult to implement.  Sorry.

We discussed to implement something like loadable device drivers
already two years ago and which could be implemented using device
nodes.  It's not implemented though...  no time, no volunteers.

What would be possible is to add only the device nodes.  They could
be implemented like symlinks but I'm reluctant to add these to
Cygwin as long as there's no mechanism to actually use them.

Corinna

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/